spring:
  profiles:
    active: live
  datasource:
    #Hibernate
    url: jdbc:mysql://mysql:3306/aRMS?characterEncoding=UTF-8&useLegacyDatetimeCode=false
    driverClassName: com.mysql.cj.jdbc.Driver
    username: mysqluser
    password: mysqluserpassword
    #mybatis
    hikari:
      driver-class-name: com.mysql.cj.jdbc.Driver
      jdbc-url: jdbc:mysql://mysql:3306/aRMS?characterEncoding=UTF-8&useLegacyDatetimeCode=false
      username: mysqluser
      password: mysqluserpassword
  flyway:
    enabled: true
    url: jdbc:mysql://mysql:3306/aRMS?characterEncoding=UTF-8&useLegacyDatetimeCode=false
    user: mysqluser
    password: mysqluserpassword
    baseline-on-migrate: true           # flyway_schema_history 테이블을 자동으로 생성할지 여부
    locations: classpath:com/arms/db

# Database configuration props
database:
  driver: com.mysql.cj.jdbc.Driver
  url: jdbc:mysql://mysql:3306/aRMS?characterEncoding=UTF-8&useLegacyDatetimeCode=false
  username: mysqluser
  password: mysqluserpassword

arms:
  detail:
    connect:
      url: ${ARMS_DETAIL_CONNECT_URL}
  engine:
    url: http://engine-fire:33333

slack:
  service-name: ${spring.application.name}
  token: ${SLACK_TOKEN}
  profile: ${spring.profiles.active}
  url: https://slack.com/